Joltio Data / data.alerts.create
Create a Data alert rule
Create a Data alert rule.
POST /v1/data/alerts/rules
- Authentication
- X-API-Key / Bearer
- Formats
- JSON
- Rows per query
- Not applicable
Parameters
| Name | Type | Location |
|---|---|---|
schedule | object | body |
name | object | body |
kind | string | body |
condition_sql | object | body |
indicator_id | object | body |
stale_after_hours | object | body |
cooldown_minutes | integer | body |
delivery | object | body |
Responses
200 | OK |
401 | unauthorized: An API key or Bearer token is required. |
curl
curl -X POST 'https://api.joltio.app/v1/data/alerts/rules' -H 'X-API-Key: $JOLTIO_API_KEY' -H 'Content-Type: application/json' -d '{"schedule":{},"condition_sql":"SELECT count() FROM omie.prices"}'Python
from joltio import Client
import json
with Client() as j:
result = j.post('/v1/data/alerts/rules', json=json.loads('{"schedule":{},"condition_sql":"SELECT count() FROM omie.prices"}'))